{
  "namespace": "common_buttons_lunar",
  
  "main_button@common.button": {
    "locked_control": "locked",
    "controls": [
      { "default@common_buttons_lunar.default": { } },
      { "hover@common_buttons_lunar.hover": { } },
      { "pressed@common_buttons_lunar.pressed": { } },
      { "locked@common_buttons_lunar.locked": { } }
    ]
  },
  
  "close_button@common.button": {
    "locked_control": "locked",
    "controls": [
      { "default@common_buttons_lunar.default": { } },
      { "hover@common_buttons_lunar.hover": { "$button_texture": "lunar_textures_common.close_button_hover" } },
      { "pressed@common_buttons_lunar.pressed": { } },
      { "locked@common_buttons_lunar.locked": { } }
    ]
  },
  
  "red_button@common.button": {
    "locked_control": "locked",
    "controls": [
      { "default@common_buttons_lunar.default": { "$button_texture": "lunar_textures_common.red_button_default" } },
      { "hover@common_buttons_lunar.hover": { "$button_texture": "lunar_textures_common.red_button_hover" } },
      { "pressed@common_buttons_lunar.pressed": { "$button_texture": "lunar_textures_common.red_button_hover" } },
      { "locked@common_buttons_lunar.locked": { "$button_texture": "lunar_textures_common.red_button_default" } }
    ]
  },

  "unchecked@common_buttons_lunar.button_panel": {
    "$has_hover_text": false,
    "$text_color": [ 0.75, 0.75, 0.75 ],
    "$button_texture": "lunar_textures_common.mods_tab_button_default"
  },

  "unchecked_hover@common_buttons_lunar.button_panel": {
    "$has_hover_text": true,
    "$text_color": [ 1.0, 1.0, 1.0 ],
    "$button_texture": "lunar_textures_common.mods_tab_button_hover"
  },

  "checked@common_buttons_lunar.button_panel": {
    "$has_hover_text": false,
    "$text_color": [ 1.0, 1.0, 1.0 ],
    "$button_texture": "lunar_textures_common.mods_tab_button_hover"
  },

  "checked_hover@common_buttons_lunar.button_panel": {
    "$has_hover_text": true,
    "$text_color": [ 1.0, 1.0, 1.0 ],
    "$button_texture": "lunar_textures_common.mods_tab_button_hover"
  },

  /*//// Main Button Resources ////*/

  "default@common_buttons_lunar.button_panel": {
    "$has_hover_text": false,
    "$text_color": "$button_default_text_color",
    "$button_texture": "lunar_textures_common.main_button_default"
  },

  "hover@common_buttons_lunar.button_panel": {
    "$has_hover_text": true,
    "$text_color": "$button_hover_text_color",
    "$button_texture": "lunar_textures_common.main_button_hover"
  },

  "pressed@common_buttons_lunar.button_panel": {
    "$has_hover_text": true,
    "$text_color": [ 1.0, 1.0, 1.0 ],
    "$button_texture": "lunar_textures_common.main_button_hover"
  },

  "locked@common_buttons_lunar.button_panel": {
    "$has_hover_text": false,
    "$text_color": [ 0.5, 0.5, 0.5 ],
    "$button_texture": "lunar_textures_common.main_button_default"
  },

  "button_panel": {
    "type": "panel",
    "size": [ "100%", "100%" ],
    "layer": 10,
    "$button_content|default": "common_buttons_lunar.button_label",
    "controls": [
      { "button_content@$button_content": { "layer": 3 } },
      { "button_texture@$button_texture": { "layer": 1 } }
    ]
  },

  "button_label": {
    "type": "label",
    "shadow": true,
    "font_type": "normal",
    "font_scale_factor": 0.9,
    "size": [ "default", "default" ],
    "color": "$text_color",
    "$text_color|default": [ 0.75, 0.75, 0.75 ],
		"$text_color|hover": [ 1, 1, 0 ],
    "text": "$button_text",
    "bindings": [
      {
        "binding_name": "$button_text"
      }
    ]
  }
}